- Qt 5.15
- Qt Widgets
- C++ Classes
- QStyleHintReturnVariant
- Qt 5.15.19 Reference Documentation

# QStyleHintReturnVariant Class

The QStyleHintReturnVariant class provides style hints that return a QVariant. More...

Header: | #include <QStyleHintReturnVariant>
qmake: | QT += widgets
Since: | Qt 4.3
Inherits: | QStyleHintReturn

This class was introduced in Qt 4.3.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleHintReturnVariant()
| ~QStyleHintReturnVariant()

## Public Variables

QVariant | variant

## Detailed Description

## Member Type Documentation

### enum QStyleHintReturnVariant::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant::Type` | `SH_Variant` | The type of style option provided (SH_Variant for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleHintReturnVariant::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant::Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleHintReturnVariant::QStyleHintReturnVariant()

Constructs a QStyleHintReturnVariant. The member variables are initialized to default values.

### QStyleHintReturnVariant::~QStyleHintReturnVariant()

Destructor.

## Member Variable Documentation

### QVariant QStyleHintReturnVariant::variant

This variable holds the variant for style hints that return a QVariant